#include <MsTimer2.h>

#define PIN_LED 5
#define BLINKTIME 200

unsigned int tick;  //Timer tick
boolean flag;  //Timer flag
boolean state;  //led state

void setup() {
  // put your setup code here, to run once:
  pinMode( PIN_LED, OUTPUT );
  digitalWrite( PIN_LED, LOW );

  MsTimer2::set(1, Timer);
  MsTimer2::start();
}
void Timer() {
  if ( ++tick >= BLINKTIME) {
    tick = 0;
    flag = true;
  }
}
void loop() {
  // put your main code here, to run repeatedly:
  if (flag) {
    flag = false;
    state = !state;
    if (state) {
      digitalWrite( PIN_LED, HIGH );
    }
    else {
      digitalWrite( PIN_LED, LOW );
    }
  }
}
